Upgrading to jExperience 2.2.2

March 15, 2022

Install jExperience 2.2.2 module and start it.

Get jExperience from the the Jahia store and install it from the administration / Modules and extensions panel. 

Or download and install the new version directly from the Modules and extensions panel if the store is available. 

jExperience-2.2.2 requires Jahia 8.1.0.0+ and jCustomer 1.5.6+.

In case you are updating from jExperience 2.1.x, 2.0.x or 1.12.x (1.12.0-1.12.3) please ensure you are using jCustomer 1.5.6+. The instructions to upgrade jCustomer are provided under "Upgrading to jCustomer 1.5.6". If you are already using jCustomer 1.5.6+, you just need to execute the following steps:

  1. Upload and start jExperience 2.2.2 module as you would do for any other module.
  2. Remove all previous jExperience versions

 

 

Note

Starting with Jahia 8.1.2.0, Jahia is checking if upgrading the module introduces changes in its definition. If such changes are detected, the default Jahia behavior will be to reject a module upgrade.

jExperience comes with its own migration mechanism to handle changes in definitions, when updating jExperience via Jahia's module manager, it is therefore safe to ignore definition checks via the UI, unselecting "Validate module definitions", or via the API using the "ignoreChecks" boolean.